libvdpau1_0.8-3+deb8u2_amd64.deb


Advertisement

Description

libvdpau1 - Video Decode and Presentation API for Unix (libraries)

Property Value
Distribution Debian 8 (Jessie)
Repository Debian Main amd64
Package name libvdpau1
Package version 0.8
Package release 3+deb8u2
Package architecture amd64
Package type deb
Installed size 80 B
Download size 32.90 KB
Official Mirror ftp.br.debian.org
VDPAU (Video Decode and Presentation API for Unix) is an open source
library (libvdpau) and API designed by NVIDIA originally for its GeForce
8 series and later GPU hardware, targeted at the X Window System on Unix
operating-systems (including Linux, FreeBSD, and Solaris). This VDPAU API
allows video programs to offload portions of the video decoding process
and video post-processing to the GPU video-hardware.
This package contains the VDPAU wrapper and trace libraries.

Alternatives

Package Version Architecture Repository
libvdpau1_0.8-3+deb8u2_i386.deb 0.8 i386 Debian Main
libvdpau1 - - -

Requires

Name Value
libc6 >= 2.17
libx11-6 >= 2:1.4.99.1
libxext6 -
multiarch-support -

Conflicts

Name Value
lib32vdpau1 -

Replaces

Name Value
lib32vdpau1 -

Download

Type URL
Binary Package libvdpau1_0.8-3+deb8u2_amd64.deb
Source Package libvdpau

Install Howto

  1. Update the package index:
    # sudo apt-get update
  2. Install libvdpau1 deb package:
    # sudo apt-get install libvdpau1

Files

Path
/etc/vdpau_wrapper.cfg
/usr/lib/x86_64-linux-gnu/libvdpau.so.1
/usr/lib/x86_64-linux-gnu/libvdpau.so.1.0.0
/usr/lib/x86_64-linux-gnu/vdpau/libvdpau_trace.so.1
/usr/lib/x86_64-linux-gnu/vdpau/libvdpau_trace.so.1.0.0
/usr/share/bug/libvdpau1
/usr/share/doc/libvdpau1/changelog.Debian.gz
/usr/share/doc/libvdpau1/changelog.gz
/usr/share/doc/libvdpau1/copyright

Changelog

2015-11-02 - Luca Boccassi <luca.boccassi@gmail.com>
libvdpau (0.8-3+deb8u2) jessie-security; urgency=medium
* Cherry-pick upstream commit to fix crash with the DRI_PRIME environment
variable set on 64-bit systems, regression caused by switch to
secure_getenv(3).  (Closes: #802625)
- [1cda354] 0034-mesa_dri2-Add-missing-include-of-config.h-to-define.patch
2015-09-04 - Luca Boccassi <luca.boccassi@gmail.com>
libvdpau (0.8-3+deb8u1) jessie-security; urgency=high
* Patch for CVE 2015-5198, 2015-5199, 2015-5200
- Use secure_getenv(3) to improve security
(CVE-2015-5198, CVE-2015-5199, CVE-2015-5200). Closes: #797895.
* Add myself to Uploaders
2014-10-19 - Andreas Beckmann <anbe@debian.org>
libvdpau (0.8-3) unstable; urgency=medium
* Add a bug-script to collect some driver information.
* libvdpau-dev.README.Debian: Document required Depends/Enhances/Provides
for packages containing VDPAU drivers.
2014-10-17 - Andreas Beckmann <anbe@debian.org>
libvdpau (0.8-2) unstable; urgency=medium
* Bump Standards-Version to 3.9.6. No changes needed.
* hardening.patch: Build the tests with hardening enabled, too.
2014-09-29 - Andreas Beckmann <anbe@debian.org>
libvdpau (0.8-1) unstable; urgency=medium
[ Vincent Cheng ]
* New upstream release.
- Remove 0001-Fix-incorrect-VdpPictureInfo-typedef.patch, applied upstream.
* Add myself to Uploaders.
[ Andreas Beckmann ]
* Refresh vdpau driver searchpath patches.
* Cherry-pick upstream commits:
- [9d27eb0] 0001-trace-properly-annotate-private-functions-as-static.patch
- [6cb973e] 0002-vdpau-do-not-export-_vdp_DRI2-functions.patch
* libvdpau1.symbols: Remove private symbols.
* libvdpau-doc: Do not ship useless autogenerated doxygen files: *.map.
* libvdpau1-dbg: New package for debug symbols.  (Closes: #763142)
2014-04-21 - Andreas Beckmann <anbe@debian.org>
libvdpau (0.7-2) unstable; urgency=medium
* Remove Andres Mejia from Uploaders. Thanks for your work on libvdpau!
(Closes: #743563)
* Bump Standards-Version to 3.9.5. No changes needed.
* Cherry-pick upstream commit:
- [186195b] 0001-Fix-incorrect-VdpPictureInfo-typedef.patch
2013-08-15 - Andreas Beckmann <anbe@debian.org>
libvdpau (0.7-1) unstable; urgency=low
* New upstream release.  (LP: #1313614)
* Add README.source describing the import of a new upstream release.
2013-05-06 - Andreas Beckmann <anbe@debian.org>
libvdpau (0.6-2) unstable; urgency=low
* Drop Conflicts/Replaces against obsolete squeeze packages.
* libvdpau1: Drop postinst, ancient cleanup code already in squeeze.
* Bump Standards-Version to 3.9.4. No changes needed.
* Use canonical Vcs-* URLs.
* Upload to unstable.
2013-02-12 - Andreas Beckmann <anbe@debian.org>
libvdpau (0.6-1) experimental; urgency=low
* New upstream release.
* Drop patches cherry-picked from upstream git: 0001, 0002, 0003.
2013-01-25 - Andreas Beckmann <anbe@debian.org>
libvdpau (0.5-1) experimental; urgency=low
* New upstream release.  (Closes: #689586)
* Drop patches that are now applied upstream: libvdpau_flashplayer.patch,
track_dynamic_library_handles_and_free_them_on_exit.patch.
* Update my email address and remove DMUA.
* Cherry-pick upstream commits:
- 0001-Make-use-of-dri2proto_CFLAGS-when-building.patch
- 0002-Change-mailing-list-to-vdpau-lists.freedesktop.org.patch
- 0003-Fix-leaked-extension-info-on-library-unload.patch (Closes: #592204)
* libvdpau1.symbols: Add _vdp_DRI2RemoveExtension, added in above patches.
* Change Upstream-Contact to vdpau@lists.freedesktop.org.
* Upload to experimental.

See Also

Package Description
libvecmath-java-doc_1.5.2-5_all.deb javax.vecmath vector math package (documentation)
libvecmath-java_1.5.2-5_all.deb javax.vecmath vector math package
libvelocity-tools-java-doc_2.0-3_all.deb collection of useful tools for Velocity template engine - documentation
libvelocity-tools-java_2.0-3_all.deb collection of useful tools for Velocity template engine
libvendorlib-perl_0.10-2_all.deb pragma to enforce only core and vendor libraries are used
libventrilo-dev_1.2.5-2_amd64.deb library for communicating with Ventrilo servers (development)
libventrilo3-0_1.2.5-2_amd64.deb library for communicating with Ventrilo servers
libverbiste-0.1-0_0.1.41-2_amd64.deb French and Italian conjugator - shared library
libverbiste-dev_0.1.41-2_amd64.deb French and Italian conjugator - development files
libverilog-perl_3.406-1_amd64.deb framework providing Verilog support
libversion-next-perl_0.004-1_all.deb Perl module for simply incrementing Perl module version numbers
libversion-perl_0.9909-1_amd64.deb Perl extension for Version Objects
libversioneer-clojure_0.1.1-2_all.deb version introspection for Leiningen-generated projects
libverto-dev_0.2.4-2_amd64.deb Event loop abstraction for Libraries - Development
libverto-glib1_0.2.4-2_amd64.deb Event loop abstraction for Libraries - glib
Advertisement
Advertisement